Bug 238427 - security/py-fail2ban: Add support for py-inotify
Summary: security/py-fail2ban: Add support for py-inotify
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Kai Knoblich
URL:
Keywords: easy, patch
Depends on:
Blocks:
 
Reported: 2019-06-08 20:09 UTC by Dmitry Wagin
Modified: 2019-06-16 10:18 UTC (History)
2 users (show)

See Also:
theis: maintainer-feedback+


Attachments
fail2ban.diff (699 bytes, patch)
2019-06-08 20:09 UTC, Dmitry Wagin
no flags Details | Diff
py-fail2ban-enable-inotify-support-via-option.patch (990 bytes, patch)
2019-06-15 22:43 UTC, Kai Knoblich
theis: maintainer-approval+
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Dmitry Wagin 2019-06-08 20:09:13 UTC
Created attachment 204921 [details]
fail2ban.diff

The fail2ban service supports both file polling or more efficient file modification notifications
Comment 1 theis 2019-06-09 10:06:18 UTC
OK, and thank you for the patch
Comment 2 Kai Knoblich freebsd_committer 2019-06-15 22:43:03 UTC
Created attachment 205090 [details]
py-fail2ban-enable-inotify-support-via-option.patch

Thank you both for the patch and the approval. I would introduce the new dependency for devel/py-pyinotify as an option because it's not a mandatory requirement for security/py-fail2ban to make it run.

Users have then choice to opt-in/-out the support for devel/py-pyinotify if they're not comfortable with it.

@maintainer: Can you please give me a short feedback if this minor change based on Dmitri's initial patch is ok for you?
Comment 3 commit-hook freebsd_committer 2019-06-16 10:14:53 UTC
A commit references this bug:

Author: kai
Date: Sun Jun 16 10:14:21 UTC 2019
New revision: 504294
URL: https://svnweb.freebsd.org/changeset/ports/504294

Log:
  security/py-fail2ban: Add support for devel/py-pyinotify

  * Enable support for devel/py-pyinotify that itself uses devel/libinotify to
    monitor changes in the filesystem. [1]

  * Also introduce the new dependency as an additional default option INOTIFY
    while I'm here because it's not a hard requirement for runtime. [2]

  PR:		238427
  Submitted by:	Dmitry Wagin <dmitry.wagin@ya.ru> [1]
  Approved by:	theis@gmx.at (maintainer) [1] [2]

Changes:
  head/security/py-fail2ban/Makefile
Comment 4 Kai Knoblich freebsd_committer 2019-06-16 10:18:58 UTC
Committed, thank you both for the patch and the quick approval!